#include <iostream>
#include <cstdio>
using namespace std;
int n,x,y,tx,ty;
int a[300][300]={0};

int main(){
	freopen("F.in","r",stdin);
	freopen("F.out","w",stdout);
	scanf("%d",&n);
	x=y=n;
	tx=0;
	ty=-1;
	int kol=n*n;
	while (kol>0){
		a[x][y]=kol--;
		if (tx==0){
			if (y+ty>n||y+ty<1||a[x+tx][y+ty]!=0){
				tx=ty;
				ty=0;
			}
		}else{
			if (x+tx>n||x+tx<1||a[x+tx][y+ty]!=0){
				ty=-tx;
				tx=0;
			}
		}
		x+=tx;y+=ty;
	}
	for (int i=1;i<=n;++i)
		for (int j=1;j<=n;++j)printf("%d%c",a[i][j],j==n?'\n':' ');
	return 0;
}
